#
# Module manifest for module 'TfsCmdlets'
#
# Generated by: Igor Abade V. Leite
#
# Generated on: 9/10/2019
#

@{

# Script module or binary module file associated with this manifest.
RootModule = 'TfsCmdlets.psm1'

# Version number of this module.
ModuleVersion = '2.0.0'

# Supported PSEditions
CompatiblePSEditions = 'Desktop'

# ID used to uniquely identify this module
GUID = 'bd4390dc-a8ad-4bce-8d69-f53ccf8e4163'

# Author of this module
Author = 'Igor Abade V. Leite'

# Company or vendor of this module
CompanyName = 'Igor Abade V. Leite'

# Copyright statement for this module
Copyright = '(c) 2014 Igor Abade V. Leite. All rights reserved.'

# Description of the functionality provided by this module
Description = 'PowerShell Cmdlets for Azure DevOps and Team Foundation Server'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the Windows PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the Windows PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# DotNetFrameworkVersion = ''

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# CLRVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
# RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
ScriptsToProcess = 'Startup.ps1'

# Type files (.ps1xml) to be loaded when importing this module
TypesToProcess = 'TfsCmdlets.Types.ps1xml'

# Format files (.ps1xml) to be loaded when importing this module
FormatsToProcess = 'TfsCmdlets.Format.ps1xml'

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @('Admin\Admin.ps1', 
               'ConfigServer\ConfigServer.ps1', 
               'Connection\Connection.ps1', 
               'Git\Branch\Git_Branch.ps1', 
               'Git\Policy\Git_Policy.ps1', 
               'Git\Repository\Git_Repository.ps1', 
               'GlobalList\GlobalList.ps1', 
               'Helpers\Helpers.ps1', 
               'Identity\Group\Identity_Group.ps1', 
               'Identity\Identity.ps1', 
               'Organization\Organization.ps1', 
               'Pipeline\Build\Folder\Pipeline_Build_Folder.ps1', 
               'Pipeline\ReleaseManagement\Folder\Pipeline_ReleaseManagement_Folder.ps1', 
               'Pipeline\XamlBuild\Pipeline_XamlBuild.ps1', 
               'Policy\Policy.ps1', 
               'ProcessTemplate\ProcessTemplate.ps1', 
               'ServiceHook\ServiceHook.ps1', 
               'Team\TeamAdmin\Team_TeamAdmin.ps1', 
               'Team\TeamMember\Team_TeamMember.ps1', 
               'Team\Team.ps1', 
               'TeamProject\TeamProject.ps1', 
               'TeamProjectCollection\TeamProjectCollection.ps1', 
               'TestManagement\TestManagement.ps1', 
               'Work\Work.ps1', 
               'WorkItem\ClassificationNode\WorkItem_ClassificationNode.ps1', 
               'WorkItem\History\WorkItem_History.ps1', 
               'WorkItem\Linking\WorkItem_Linking.ps1', 
               'WorkItem\Query\WorkItem_Query.ps1', 
               'WorkItem\Tagging\WorkItem_Tagging.ps1', 
               'WorkItem\WorkItemType\WorkItem_WorkItemType.ps1', 
               'WorkItem\WorkItem.ps1', 
               '_Private\_Private.ps1')

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = 'Add-TfsGroupMember', 'Add-TfsTeamAdmin', 'Add-TfsTeamMember', 
               'Add-TfsWorkItemLink', 'Connect-TfsConfigurationServer', 
               'Connect-TfsTeamProject', 'Connect-TfsTeamProjectCollection', 
               'Copy-TfsTestPlan', 'Copy-TfsWorkItem', 
               'Disconnect-TfsConfigurationServer', 'Disconnect-TfsTeamProject', 
               'Disconnect-TfsTeamProjectCollection', 
               'Dismount-TfsTeamProjectCollection', 'Export-TfsGlobalList', 
               'Export-TfsProcessTemplate', 'Export-TfsWorkItemQuery', 
               'Export-TfsWorkItemType', 'Get-AzDevOrganization', 
               'Get-TfsBuildDefinitionFolder', 'Get-TfsClassificationNode', 
               'Get-TfsConfigurationServer', 
               'Get-TfsConfigurationServerConnectionString', 'Get-TfsCredential', 
               'Get-TfsGitBranch', 'Get-TfsGitBranchPolicy', 'Get-TfsGitRepository', 
               'Get-TfsGlobalList', 'Get-TfsGroupMember', 'Get-TfsIdentity', 
               'Get-TfsInstallationPath', 'Get-TfsPolicyType', 
               'Get-TfsProcessTemplate', 'Get-TfsRegisteredConfigurationServer', 
               'Get-TfsRegisteredTeamProjectCollection', 
               'Get-TfsReleaseDefinitionFolder', 'Get-TfsRestClient', 
               'Get-TfsServiceHookConsumer', 
               'Get-TfsServiceHookNotificationHistory', 
               'Get-TfsServiceHookPublisher', 'Get-TfsServiceHookSubscription', 
               'Get-TfsTeam', 'Get-TfsTeamAdmin', 'Get-TfsTeamBacklog', 
               'Get-TfsTeamBoard', 'Get-TfsTeamBoardCardRuleSettings', 
               'Get-TfsTeamMember', 'Get-TfsTeamProject', 
               'Get-TfsTeamProjectCollection', 'Get-TfsTestPlan', 'Get-TfsWorkItem', 
               'Get-TfsWorkItemHistory', 'Get-TfsWorkItemLink', 
               'Get-TfsWorkItemLinkEndType', 'Get-TfsWorkItemQuery', 
               'Get-TfsWorkItemQueryFolder', 'Get-TfsWorkItemTag', 
               'Get-TfsWorkItemType', 'Import-TfsGlobalList', 
               'Import-TfsProcessTemplate', 'Import-TfsWorkItemType', 
               'Invoke-TfsRestApi', 'Mount-TfsTeamProjectCollection', 
               'Move-TfsClassificationNode', 'Move-TfsWorkItem', 
               'New-TfsBuildDefinitionFolder', 'New-TfsClassificationNode', 
               'New-TfsGitRepository', 'New-TfsGlobalList', 
               'New-TfsReleaseDefinitionFolder', 'New-TfsTeam', 'New-TfsTeamProject', 
               'New-TfsTeamProjectCollection', 'New-TfsWorkItem', 
               'New-TfsWorkItemQuery', 'New-TfsWorkItemQueryFolder', 
               'New-TfsWorkItemTag', 'Remove-TfsBuildDefinitionFolder', 
               'Remove-TfsClassificationNode', 'Remove-TfsGitRepository', 
               'Remove-TfsGlobalList', 'Remove-TfsGroupMember', 
               'Remove-TfsReleaseDefinitionFolder', 'Remove-TfsTeam', 
               'Remove-TfsTeamAdmin', 'Remove-TfsTeamMember', 
               'Remove-TfsTeamProject', 'Remove-TfsTeamProjectCollection', 
               'Remove-TfsTestPlan', 'Remove-TfsWorkItem', 'Remove-TfsWorkItemQuery', 
               'Remove-TfsWorkItemQueryFolder', 'Remove-TfsWorkItemTag', 
               'Rename-TfsClassificationNode', 'Rename-TfsGitRepository', 
               'Rename-TfsTeam', 'Rename-TfsWorkItemQuery', 'Rename-TfsWorkItemTag', 
               'Set-TfsClassificationNode', 'Set-TfsGlobalList', 'Set-TfsTeam', 
               'Set-TfsTeamBoardCardRuleSettings', 'Set-TfsWorkItem', 
               'Set-TfsWorkItemBoardStatus', 'Set-TfsWorkItemQuery', 
               'Start-TfsIdentitySync', 'Start-TfsTeamProjectCollection', 
               'Start-TfsXamlBuild', 'Stop-TfsTeamProjectCollection', 
               'Test-TfsClassificationNode'

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = '*'

# DSC resources to export from this module
# DscResourcesToExport = @()

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
FileList = 'chocolateyInstall.ps1', 'chocolateyUninstall.ps1', 'Prompt.ps1', 
               'Startup.ps1', 'TfsCmdlets.Format.ps1xml', 'TfsCmdlets.psd1', 
               'TfsCmdlets.psm1', 'TfsCmdlets.Types.ps1xml', 'TfsCmdletsShell.ico', 
               'Admin\Admin.ps1', 'Admin\Admin.psd1', 
               'ConfigServer\ConfigServer.ps1', 'ConfigServer\ConfigServer.psd1', 
               'Connection\Connection.ps1', 'Connection\Connection.psd1', 
               'Git\Branch\Git_Branch.ps1', 'Git\Policy\Git_Policy.ps1', 
               'Git\Repository\Git.psd1', 'Git\Repository\Git_Repository.ps1', 
               'GlobalList\GlobalList.ps1', 'GlobalList\GlobalList.psd1', 
               'Helpers\Helpers.ps1', 'Identity\Identity.ps1', 
               'Identity\Group\Identity_Group.ps1', 'Lib\Ben.Demystifier.dll', 
               'Lib\HtmlAgilityPack.dll', 
               'Lib\Microsoft.Azure.DevOps.Comments.WebApi.dll', 
               'Lib\Microsoft.IdentityModel.Clients.ActiveDirectory.dll', 
               'Lib\Microsoft.IdentityModel.Clients.ActiveDirectory.Platform.dll', 
               'Lib\Microsoft.IdentityModel.JsonWebTokens.dll', 
               'Lib\Microsoft.IdentityModel.Logging.dll', 
               'Lib\Microsoft.IdentityModel.Tokens.dll', 
               'Lib\Microsoft.TeamFoundation.Build.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Build.Common.dll', 
               'Lib\Microsoft.TeamFoundation.Build2.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Common.dll', 
               'Lib\Microsoft.TeamFoundation.Core.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.Dashboards.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.DeleteTeamProject.dll', 
               'Lib\Microsoft.TeamFoundation.Diff.dll', 
               'Lib\Microsoft.TeamFoundation.Discussion.Client.dll', 
               'Lib\Microsoft.TeamFoundation.DistributedTask.Common.Contracts.dll', 
               'Lib\Microsoft.TeamFoundation.Git.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Lab.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Lab.Common.dll', 
               'Lib\Microsoft.TeamFoundation.Lab.TestIntegration.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Lab.WorkflowIntegration.Client.dll', 
               'Lib\Microsoft.TeamFoundation.Policy.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.ProjectManagement.dll', 
               'Lib\Microsoft.TeamFoundation.SharePointReporting.Integration.dll', 
               'Lib\Microsoft.TeamFoundation.SourceControl.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.Test.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.TestImpact.Client.dll', 
               'Lib\Microsoft.TeamFoundation.TestManagement.Client.dll', 
               'Lib\Microsoft.TeamFoundation.TestManagement.Common.dll', 
               'Lib\Microsoft.TeamFoundation.TestManagement.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.VersionControl.Client.dll', 
               'Lib\Microsoft.TeamFoundation.VersionControl.Common.dll', 
               'Lib\Microsoft.TeamFoundation.VersionControl.Common.Integration.dll', 
               'Lib\Microsoft.TeamFoundation.Wiki.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.Work.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Client.DataStoreLoader.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Client.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Client.QueryLanguage.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Common.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Process.WebApi.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.Proxy.dll', 
               'Lib\Microsoft.TeamFoundation.WorkItemTracking.WebApi.dll', 
               'Lib\Microsoft.VisualStudio.Services.Client.Interactive.dll', 
               'Lib\Microsoft.VisualStudio.Services.Common.dll', 
               'Lib\Microsoft.VisualStudio.Services.ReleaseManagement.WebApi.dll', 
               'Lib\Microsoft.VisualStudio.Services.ServiceHooks.WebApi.dll', 
               'Lib\Microsoft.VisualStudio.Services.TestManagement.TestPlanning.WebApi.dll', 
               'Lib\Microsoft.VisualStudio.Services.TestResults.WebApi.dll', 
               'Lib\Microsoft.VisualStudio.Services.WebApi.dll', 
               'Lib\Microsoft.WITDataStore32.dll', 
               'Lib\Microsoft.WITDataStore64.dll', 'Lib\Newtonsoft.Json.dll', 
               'Lib\System.IdentityModel.Tokens.Jwt.dll', 
               'Lib\System.Net.Http.Formatting.dll', 'Lib\System.Web.Http.dll', 
               'Lib\System.Web.Http.WebHost.dll', 'Lib\TfsCmdletsLib.dll', 
               'Organization\Organization.ps1', 
               'Pipeline\Build\Folder\Pipeline_Build_Folder.ps1', 
               'Pipeline\ReleaseManagement\Folder\Pipeline_ReleaseManagement_Folder.ps1', 
               'Pipeline\XamlBuild\Pipeline_XamlBuild.ps1', 'Policy\Policy.ps1', 
               'ProcessTemplate\ProcessTemplate.ps1', 
               'ProcessTemplate\ProcessTemplate.psd1', 
               'ServiceHook\ServiceHook.ps1', 'Team\Team.ps1', 'Team\Team.psd1', 
               'Team\TeamAdmin\Team_TeamAdmin.ps1', 
               'Team\TeamMember\Team_TeamMember.ps1', 
               'TeamProject\TeamProject.ps1', 'TeamProject\TeamProject.psd1', 
               'TeamProjectCollection\TeamProjectCollection.ps1', 
               'TeamProjectCollection\TeamProjectCollection.psd1', 
               'TestManagement\TestManagement.ps1', 'Work\Work.ps1', 
               'WorkItem\WorkItem.ps1', 'WorkItem\WorkItem.psd1', 
               'WorkItem\ClassificationNode\WorkItem_ClassificationNode.ps1', 
               'WorkItem\History\WorkItem_History.ps1', 
               'WorkItem\Linking\WorkItem_Linking.ps1', 
               'WorkItem\Query\WorkItemQuery.psd1', 
               'WorkItem\Query\WorkItem_Query.ps1', 
               'WorkItem\Tagging\WorkItem_Tagging.ps1', 
               'WorkItem\WorkItemType\WorkItem_WorkItemType.ps1', 
               '_cs\CoreAssemblyResolver.cs', '_cs\DesktopAssemblyResolver.cs', 
               '_Private\_Private.ps1'

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    #TfsClientVersion of this module
    TfsClientVersion = '16.156.0-preview'

    #Branch of this module
    Branch = 'master'

    #Version of this module
    Version = '2.0.0-beta.9+2'

    #Build of this module
    Build = '2.0.0-beta.9+1782.2'

    #Commit of this module
    Commit = 'b2de84669cd7471eb0cd41148a44f3c26b43a588'

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'TfsCmdlets','TFS','VSTS','PowerShell','Azure','AzureDevOps','DevOps','ALM','TeamFoundationServer'

        # A URL to the license for this module.
        LicenseUri = 'https://raw.githubusercontent.com/igoravl/tfscmdlets/master/LICENSE.md'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/igoravl/tfscmdlets/'

        # A URL to an icon representing this module.
        IconUri = 'https://raw.githubusercontent.com/igoravl/tfscmdlets/master/TfsCmdlets/resources/TfsCmdlets_Icon_32.png'

        # ReleaseNotes of this module
        ReleaseNotes = 'See https://github.com/igoravl/tfscmdlets/wiki/ReleaseNotes'

        # Prerelease string of this module
        Prerelease = 'beta0009'

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

} # End of PrivateData hashtable

# HelpInfo URI of this module
HelpInfoURI = 'https://github.com/igoravl/tfscmdlets/wiki/'

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}

